export declare const targetViewTypes: readonly [{
    readonly builder_version: 1;
    readonly id: 1;
    readonly renderer_version: 1;
    readonly builder_name: "lexical-editor-plugin-builder";
    readonly name: "lexical-pine";
    readonly renderer_name: "lexical-editor-plugin-renderer";
}, {
    readonly builder_version: 1;
    readonly id: 2;
    readonly renderer_version: 1;
    readonly builder_name: "proto-rooadmap-web-builder";
    readonly name: "proto-web";
    readonly renderer_name: "proto-rooadmap-web-renderer";
}, {
    readonly builder_version: 1;
    readonly id: 3;
    readonly renderer_version: 1;
    readonly builder_name: "lexical-editor-plugin-builder";
    readonly name: "rn-bottom-tab";
    readonly renderer_name: "rn-bottom-tab-renderer";
}, {
    readonly builder_version: 1;
    readonly id: 4;
    readonly renderer_version: 1;
    readonly builder_name: "cartographer";
    readonly name: "web-cartogram-ol-real";
    readonly renderer_name: "web-cartogram-ol-real-renderer";
}];
export declare const allPieceTypes: readonly [{
    readonly id: 1;
    readonly piece_type_title: "default_judge_input";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 2;
    readonly piece_type_title: "text";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "글조각";
    readonly description: "글로 된 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 3;
    readonly piece_type_title: "single_image";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "그림조각";
    readonly description: "사진 또는 그림으로 된 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 4;
    readonly piece_type_title: "multi_image";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 5;
    readonly piece_type_title: "single_youtube";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "유튜브조각";
    readonly description: "유튜브로 된 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 6;
    readonly piece_type_title: "multi_youtube";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 11;
    readonly piece_type_title: "markup";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 12;
    readonly piece_type_title: "markdown";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 18;
    readonly piece_type_title: "basic_choice";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "객관식";
    readonly description: "객관식 문제 풀이 조각 입니다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 19;
    readonly piece_type_title: "audio";
    readonly is_inmap: null;
    readonly is_outmap: null;
    readonly is_set_on_locus_design: null;
    readonly title: "audio";
    readonly description: "소리 파일을 들을 수 있는 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 20;
    readonly piece_type_title: "multi-word";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "multi-word";
    readonly description: "정답 형태를 다양하게 정해줄 수 있습니다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 21;
    readonly piece_type_title: "jigsaw";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "jigsaw";
    readonly description: "이미지를 업로드해서 직소퍼즐을 맞추는 미션을 줄 수 있어요.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 22;
    readonly piece_type_title: "3d-text";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "3d-text";
    readonly description: "3차원 텍스트를 추가한다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 23;
    readonly piece_type_title: "3d-word-cloud";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "3d-word-cloud";
    readonly description: "워드 클라우드에서 객관식 답을 선택할 수 있습니다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 24;
    readonly piece_type_title: "draggable-list-image-text";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "draggable-list-image-text";
    readonly description: "순서 맞추기 문제 입니다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 25;
    readonly piece_type_title: "viewpager";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "viewpager";
    readonly description: "여러 이미지 중에 맞는 이미지 중에 하나를 골라야 해요.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 26;
    readonly piece_type_title: "3d-environment-with-hiddens";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "3d-environment-with-hiddens";
    readonly description: "360도 카메라로 공간을 찍고, 그 안에서 숨겨진 이미지 조각을 전부 찾아내는  과제 입니다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 27;
    readonly piece_type_title: "image-human-remote-judge";
    readonly is_inmap: false;
    readonly is_outmap: true;
    readonly is_set_on_locus_design: true;
    readonly title: "image-human-remote-judge";
    readonly description: "적합한 이미지를 찍어서 사람에게 판단 받는다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 28;
    readonly piece_type_title: "blinker";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "blinker";
    readonly description: "일명 신호등 문제 입니다. 여러 이미지 중에서 정답인 이미지들을 선택해야 하는 문제 입니다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 29;
    readonly piece_type_title: "lexical-dev-0";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "렉시컬";
    readonly description: "렉시컬 편집기";
    readonly is_judge_piece: false;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 30;
    readonly piece_type_title: "pdf";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "pdf";
    readonly description: "pdf 파일 보기";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 31;
    readonly piece_type_title: "html";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "html";
    readonly description: "html 뷰어";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 14;
    readonly piece_type_title: "wall_poster_by_printing";
    readonly is_inmap: false;
    readonly is_outmap: true;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 15;
    readonly piece_type_title: "inner_book_by_demise";
    readonly is_inmap: false;
    readonly is_outmap: true;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 16;
    readonly piece_type_title: "person_as_judge";
    readonly is_inmap: false;
    readonly is_outmap: true;
    readonly is_set_on_locus_design: null;
    readonly title: "사람";
    readonly description: "사람이 판단해요";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 13;
    readonly piece_type_title: "QR_sticker";
    readonly is_inmap: false;
    readonly is_outmap: true;
    readonly is_set_on_locus_design: null;
    readonly title: "QR";
    readonly description: "QR 붙이기";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 17;
    readonly piece_type_title: "word_npc";
    readonly is_inmap: false;
    readonly is_outmap: true;
    readonly is_set_on_locus_design: null;
    readonly title: "말 NPC";
    readonly description: "사람이 특정 말을 듣고 맞는지 여부를 판단한다.";
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 7;
    readonly piece_type_title: "local_interactive_web";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 8;
    readonly piece_type_title: "remote_interactive_web";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 9;
    readonly piece_type_title: "local_interactive_native";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}, {
    readonly id: 10;
    readonly piece_type_title: "remote_interactive_native";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: true;
    readonly target_view_type_id: 2;
    readonly is_atomic: false;
}];
export declare const atomicPieceTypes: readonly [{
    readonly id: 2;
    readonly piece_type_title: "text";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "글조각";
    readonly description: "글로 된 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 3;
    readonly piece_type_title: "single_image";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "그림조각";
    readonly description: "사진 또는 그림으로 된 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 4;
    readonly piece_type_title: "multi_image";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 5;
    readonly piece_type_title: "single_youtube";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: true;
    readonly title: "유튜브조각";
    readonly description: "유튜브로 된 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 6;
    readonly piece_type_title: "multi_youtube";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 11;
    readonly piece_type_title: "markup";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 12;
    readonly piece_type_title: "markdown";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: null;
    readonly title: null;
    readonly description: null;
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 19;
    readonly piece_type_title: "audio";
    readonly is_inmap: null;
    readonly is_outmap: null;
    readonly is_set_on_locus_design: null;
    readonly title: "audio";
    readonly description: "소리 파일을 들을 수 있는 조각 입니다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 22;
    readonly piece_type_title: "3d-text";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "3d-text";
    readonly description: "3차원 텍스트를 추가한다.";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 30;
    readonly piece_type_title: "pdf";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "pdf";
    readonly description: "pdf 파일 보기";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}, {
    readonly id: 31;
    readonly piece_type_title: "html";
    readonly is_inmap: true;
    readonly is_outmap: false;
    readonly is_set_on_locus_design: false;
    readonly title: "html";
    readonly description: "html 뷰어";
    readonly is_judge_piece: false;
    readonly target_view_type_id: null;
    readonly is_atomic: true;
}];
